Package org.apache.aries.jax.rs.rest.management.internal

## Class FrameworkBundleResource

- java.lang.Object
- - org.apache.aries.jax.rs.rest.management.internal.BaseResource
  - - org.apache.aries.jax.rs.rest.management.internal.FrameworkBundleResource

    public class FrameworkBundleResource
    extends BaseResource

### Constructor Summary

Constructors
`FrameworkBundleResource​(org.osgi.framework.BundleContext bundleContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.ws.rs.core.Response` `bundle​(long bundleid, String ext)`
`javax.ws.rs.core.Response` `bundle​(String location, long bundleid, String ext, javax.ws.rs.core.MediaType contentType)`
`javax.ws.rs.core.Response` `deleteBundle​(long bundleid, String ext, javax.ws.rs.core.MediaType contentType)`
`javax.ws.rs.core.Response` `putBundle​(InputStream inputStream, long bundleid, String ext, javax.ws.rs.core.MediaType contentType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FrameworkBundleResource

    public FrameworkBundleResource​(org.osgi.framework.BundleContext bundleContext)

### Method Detail

#### bundle

    @GET
    @Produces({"application/org.osgi.bundle+json","application/org.osgi.bundle+xml"})
    @Path("framework/bundle/{bundleid}{ext:(\\.json|\\.xml)*}")
    public javax.ws.rs.core.Response bundle​(@PathParam("bundleid")
                                            long bundleid,
                                            @PathParam("ext")
                                            String ext)

#### bundle

    @PUT
    @Consumes("text/plain")
    @Produces({"application/org.osgi.bundle+json","application/org.osgi.bundle+xml"})
    @Path("framework/bundle/{bundleid}{ext:(\\.json|\\.xml)*}")
    public javax.ws.rs.core.Response bundle​(String location,
                                            @PathParam("bundleid")
                                            long bundleid,
                                            @PathParam("ext")
                                            String ext,
                                            @HeaderParam("Content-Type")
                                            javax.ws.rs.core.MediaType contentType)

#### putBundle

    @PUT
    @Consumes("application/vnd.osgi.bundle")
    @Produces({"application/org.osgi.bundle+json","application/org.osgi.bundle+xml"})
    @Path("framework/bundle/{bundleid}{ext:(\\.json|\\.xml)*}")
    public javax.ws.rs.core.Response putBundle​(InputStream inputStream,
                                               @PathParam("bundleid")
                                               long bundleid,
                                               @PathParam("ext")
                                               String ext,
                                               @HeaderParam("Content-Type")
                                               javax.ws.rs.core.MediaType contentType)

#### deleteBundle

    @DELETE
    @Produces({"application/org.osgi.bundle+json","application/org.osgi.bundle+xml"})
    @Path("framework/bundle/{bundleid}{ext:(\\.json|\\.xml)*}")
    public javax.ws.rs.core.Response deleteBundle​(@PathParam("bundleid")
                                                  long bundleid,
                                                  @PathParam("ext")
                                                  String ext,
                                                  @HeaderParam("Content-Type")
                                                  javax.ws.rs.core.MediaType contentType)